summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMarcos Heredia2015-06-09 10:31:37 -0300
committerMarcos Heredia2015-06-09 10:31:37 -0300
commit9edb6deb745486b7a79afff1969869e5539f452c (patch)
tree67233abb6b8aed147b820ccde41a037609234b09
downloadaur-9edb6deb745486b7a79afff1969869e5539f452c.tar.gz
Initial import
-rw-r--r--.SRCINFO16
-rw-r--r--PKGBUILD34
2 files changed, 50 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..3296de56a1e
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,16 @@
+pkgbase = tzclock-gtk2
+ pkgdesc = Cairo clock to display the time around the world
+ pkgver = 2.8.1
+ pkgrel = 1
+ url = http://tzclock.org/
+ arch = i686
+ arch = x86_64
+ license = GPL
+ depends = libgnomeui
+ conflicts = tzclock-gtk3
+ conflicts = tzclock
+ source = http://tzclock.org/releases/GTK2/tzclock-2.8.1.tar.bz2
+ md5sums = 28657d101d2c2a4df619e959d7d78196
+
+pkgname = tzclock-gtk2
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..44bf69950b3
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,34 @@
+# Contributor: Juan Diego Tascon
+# Maintainer : Marcos Heredia <chelqo@gmail.com>
+
+_pkgname=tzclock
+pkgname=${_pkgname}-gtk2
+pkgver=2.8.1
+pkgrel=1
+pkgdesc="Cairo clock to display the time around the world"
+arch=('i686' 'x86_64')
+url="http://tzclock.org/"
+license="GPL"
+depends=('libgnomeui')
+conflicts=("${_pkgname}-gtk3" "${_pkgname}")
+source=("http://tzclock.org/releases/GTK2/${_pkgname}-$pkgver.tar.bz2")
+md5sums=('28657d101d2c2a4df619e959d7d78196')
+
+build() {
+ cd $srcdir/${_pkgname}-$pkgver/
+ ./configure --prefix=/usr || return 1
+ make || return 1
+}
+
+package() {
+ cd $srcdir/${_pkgname}-$pkgver/
+ make DESTDIR=${pkgdir} install || return 1
+
+ install -dm755 $pkgdir/usr/share/licenses/$pkgname/
+ install -Dpm644 COPYING $pkgdir/usr/share/licenses/$pkgname/
+
+ install -dm755 $pkgdir/usr/share/doc/$pkgname/
+ install -Dpm644 AUTHORS INSTALL tzclock.spec debian/control $pkgdir/usr/share/doc/$pkgname/
+
+ echo "Comment[es]=Mostrar la hora alrededor del mundo" >>$pkgdir/usr/share/applications/TzClock.desktop
+}